libosmocoding 1.13.1.1-afb4 Osmocom GSM/GPRS/EGPRS L1 channel coding library

Data Fields
gsm0503_mcs_code Struct Reference
Coding

Structure describing a Modulation and Coding Scheme. More...

## Data Fields
uint8_t | mcs
| Modulation and Coding Scheme (MSC) number. More...
uint8_t | usf_len
| Length of Uplink Stealing Flag (USF) in bits. More...
uint8_t | hdr_len
| Length of header (bits) More...
uint8_t | hdr_code_len
| Length of header convolutional code. More...
uint8_t | hdr_punc_len
| Length of header code puncturing sequence. More...
const struct osmo_conv_code * | hdr_conv
| header convolutional code More...
const uint8_t * | hdr_punc
| header puncturing sequence More...
uint16_t | data_len
| length of data (bits) More...
uint16_t | data_code_len
| length of data convolutional code More...
uint16_t | data_punc_len
| length of data code puncturing sequence More...
const struct osmo_conv_code * | data_conv
| data convolutional code More...
const uint8_t * | data_punc [3]
| data puncturing sequences More...

## Detailed Description

Structure describing a Modulation and Coding Scheme.

## Field Documentation

## ◆ data_code_len

uint16_t gsm0503_mcs_code::data_code_len

length of data convolutional code

Referenced by egprs_decode_data(), and egprs_encode_data().

## ◆ data_conv

const struct osmo_conv_code* gsm0503_mcs_code::data_conv

data convolutional code

Referenced by egprs_decode_data(), and egprs_encode_data().

## ◆ data_len

uint16_t gsm0503_mcs_code::data_len

length of data (bits)

Referenced by egprs_decode_data(), and egprs_encode_data().

## ◆ data_punc

const uint8_t* gsm0503_mcs_code::data_punc[3]

data puncturing sequences

Referenced by egprs_decode_data(), egprs_encode_data(), and osmo_conv_decode_ber_punctured().

## ◆ data_punc_len

uint16_t gsm0503_mcs_code::data_punc_len

length of data code puncturing sequence

Referenced by egprs_decode_data().

## ◆ hdr_code_len

uint8_t gsm0503_mcs_code::hdr_code_len

Length of header convolutional code.

Referenced by _egprs_decode_hdr(), and egprs_encode_hdr().

## ◆ hdr_conv

const struct osmo_conv_code* gsm0503_mcs_code::hdr_conv

header convolutional code

Referenced by _egprs_decode_hdr(), and egprs_encode_hdr().

## ◆ hdr_len

uint8_t gsm0503_mcs_code::hdr_len

Length of header (bits)

Referenced by _egprs_decode_hdr(), egprs_decode_data(), egprs_encode_data(), and egprs_encode_hdr().

## ◆ hdr_punc

const uint8_t* gsm0503_mcs_code::hdr_punc

header puncturing sequence

Referenced by _egprs_decode_hdr(), and egprs_encode_hdr().

## ◆ hdr_punc_len

uint8_t gsm0503_mcs_code::hdr_punc_len

Length of header code puncturing sequence.

Referenced by _egprs_decode_hdr().

## ◆ mcs

uint8_t gsm0503_mcs_code::mcs

Modulation and Coding Scheme (MSC) number.

Referenced by _egprs_decode_hdr(), egprs_decode_data(), egprs_encode_data(), egprs_encode_hdr(), and gsm0503_pdtch_egprs_encode().

## ◆ usf_len

uint8_t gsm0503_mcs_code::usf_len

Length of Uplink Stealing Flag (USF) in bits.

Referenced by egprs_encode_data(), and egprs_encode_hdr().

The documentation for this struct was generated from the following file:

- src/coding/gsm0503_coding.c